# ncm-afsclt (AFS-client config) spec file, derived from
# Generic component spec file by  German Cancio <German.Cancio@cern.ch>
#
# we trigger on changes to the config file we watch (/etc/sysconfig/afs)

Summary: NCM AFS client configuration component
Name: ncm-afsclt
Version: 1.5.4
Vendor: EDG/CERN
Release: 1
License: http://cern.ch/eu-datagrid/license.html
Group: quattor/Components
Source: ncm-afsclt-1.5.4.src.tgz
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-build
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Requires: ncm-ncd 
URL: http://quattor.org

%description

quattor (http://quattor.org) NCM afsclt configuration component:

NCM AFS client configuration component


%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

%triggerin -- /etc/sysconfig/afs
if [ -x /usr/sbin/lcm ]; then
    echo "ncm-afsclt trigger, trying to (re-)configure via lcm"
    /usr/sbin/lcm --update afsclt &
    sleep 5
elif [ -x /usr/sbin/ncm-ncd ]; then
    echo "ncm-afsclt trigger, trying to (re-)configure via ncm-ncd"
    /usr/sbin/ncm-ncd --configure afsclt &
    sleep 5
else
    echo "ncm-afsclt trigger, weird setup, cannot reconfigure AFS properly"
fi

%files
%defattr(-,root,root)
%doc /usr/share/doc/ncm-afsclt-1.5.4/
%doc /usr/share/man/man8/*
/usr/lib/perl/NCM/Component/afsclt.pm
/usr/lib/ncm/config/*
/usr/share/doc/pan-templates/namespaces/components//*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 12 2008 Jan Iven

- do not configure PAM "account" lines for Kerberos, does not work as expected..

* Fri Aug 01 2008 Jan Iven

- * fix taint warnings
- cope with SLC5 no longer having a PAM entry for screensavers
- more finegrained PAM control

* Mon Jun 25 2007 Michel Jouvin

- Convert to namespace

* Thu Feb 15 2007 Michel Jouvin

- Add missing TPL/pro_software_component_afsclt

* Thu Feb 15 2007 Michel Jouvin

- Remove deprecated 'define' keyword

* Thu Jun 29 2006 Jan Iven,31-2009,74957,

- configure PAM on Linux

* Tue Jun 06 2006 Jan Iven,31-2009,74957,

- handle AFS cache partitions correctly.

* Fri May 19 2006 Jan Iven,31-2009,74957,

- directly modifies ThisCell file; only run "authconfig" if PAM config needs changing.

* Thu Feb 09 2006 Jan Iven,31-2009,74957,

* Thu Feb 09 2006 Jan Iven
- add /etc/sysconfig/afs cache size config
- make cellservdb into a URL, can get CellServDB from web
- don't update in-kernel cell info with NoAction
- Linux/RPM: add trigger on /etc/sysconfig/afs

* Fri Aug 05 2005 Juan Antonio Lopez Perez

- Solaris porting
	   + the fs executable is at /usr/afsws/bin so we put that 
	directory first in the path
	   + authconfig is not used so Configure_Cell is not needed
	   + the firewall is not enabled so we don't run Configure_firewall
	   + the afs configuration files are not updated from the CDB so 
	we don't use Configure_Config.


* Thu Feb 24 2005 Jan Iven,31-2009,74957,

- * bugfixees, non-fatal missing cacheinfo file for JvE

* Mon Sep 27 2004 Jan Iven,31-2009,74957,

- added CellServDB features from SUE/afs

* Wed Sep 15 2004 Jan Iven,31-2009,74957,

- check authconfig exit code, downgrade missing iptables to INFO

* Mon Sep 06 2004 Jan Iven,31-2009,74957,

- added AFS cache size control

* Mon Jul 19 2004 Jan Iven <Jan.Iven@cern.ch>  1.2.4-1
- replace die() by error()/warn(), missing iptables is no longer fatal

* Mon Jun 28 2004 Jan Iven <Jan.Iven@cern.ch>
- configure OPTIONS, VERBOSE, settime

* Sat Mar 06 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial build (weekend was rainy ;-))

--- end of ChangeLog ---
